Download it now!
Bug 87754 - Find & Replace: Some items of Attributes dialog are not translatable
Summary: Find & Replace: Some items of Attributes dialog are not translatable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.3.6 target:4.4...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-26 21:25 UTC by Stanislav Horacek
Modified: 2014-12-28 16:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
untranslated items in Attributes dialog (qtz, 4.4 beta 1) (30.60 KB, image/png)
2014-12-26 21:25 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2014-12-26 21:25:53 UTC
Created attachment 111377 [details]
untranslated items in Attributes dialog (qtz, 4.4 beta 1)

1. In Writer, Choose Edit - Find & Replace (or Ctrl + H).
2. Expand the dialog by clicking at "Other options".
3. Click the Attributes button.

In the Attributes dialog, there are some items which is not possible to translate as illustrated by the attached screenshot with string IDs (qtz locale).

The items are: Blinking, Indent, Scale, Spacing

It appears in 4.3.4, 4.4 beta 1 and 4.4 RC1 (OS Ubuntu 14.04); 4.2.7 is fully localized, so marking as regression.
Comment 1 Robinson Tryon (qubit) 2014-12-27 04:54:51 UTC
Language/Localization should triage this one.

Status -> NEW

(In reply to Stanislav Horacek from comment #0)
> It appears in 4.3.4, 4.4 beta 1 and 4.4 RC1 (OS Ubuntu 14.04); 4.2.7 is
> fully localized, so marking as regression.

Are these particular strings correctly translated in 4.2.7, or do they just not appear?  (if it's the latter, then I wouldn't call this a regression)
Comment 2 Yousuf Philips (jay) (retired) 2014-12-27 13:56:09 UTC
When i had similar non-translated items in another bug, Caolan and Timar were CCed on that one. It is likely the transfer from old UI dialogs to new UI dialogs may have caused this regression.
Comment 3 Stanislav Horacek 2014-12-27 15:58:55 UTC
> Are these particular strings correctly translated in 4.2.7, or do they just
> not appear?  (if it's the latter, then I wouldn't call this a regression)

They are correctly translated in 4.2.7.
Comment 4 Robinson Tryon (qubit) 2014-12-27 16:05:39 UTC
(In reply to Jay Philips from comment #2)
> When i had similar non-translated items in another bug, Caolan and Timar
> were CCed on that one. It is likely the transfer from old UI dialogs to new
> UI dialogs may have caused this regression.

Okay. cc'ing Andras for his input.
Comment 5 Andras Timar 2014-12-27 19:03:45 UTC
It is a problem of l10ntools, not .ui conversion. Blinking, Indent, Scale, and Spacing are there multiple times in ItemList RID_ATTR_NAMES in svx/source/items/svxitems.src. 

In 4.2 ItemList elements were keyed by their ordinal number in the ItemList. In 4.3 and newer ItemList elements are keyed by their en-US string. It has many advantages. We just need to implement it right.
Comment 6 Commit Notification 2014-12-28 15:17:30 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1471103be04a1bcf18002b5ddc7c9c0744655b2b

fdo#87754: duplicated strings in an ItemList are not translated

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-28 16:23:48 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06fac18f2379516fc4902d7a417951cb0ccd9e76&h=libreoffice-4-3

fdo#87754: duplicated strings in an ItemList are not translated

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-28 16:25:15 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4774b2f0e6a0e895d1e63256147eaff59efd0eda&h=libreoffice-4-4

fdo#87754: duplicated strings in an ItemList are not translated

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.